package vn.azteam.tpf.service.dto;

import io.github.jhipster.service.filter.InstantFilter;
import io.github.jhipster.service.filter.IntegerFilter;
import io.github.jhipster.service.filter.LongFilter;
import io.github.jhipster.service.filter.StringFilter;

import java.io.Serializable;

public class TBCodeDetailsCriteria implements Serializable {

    private static final long serialVersionUID = 1L;

    private LongFilter id;

    private StringFilter tbCode;

    private StringFilter code;

    private IntegerFilter numberScan;

    private StringFilter status;

    private InstantFilter expiredDate;

    private InstantFilter modifiedDate;

    private InstantFilter deletedDate;

    private LongFilter createdById;

    private LongFilter modifiedById;

    private LongFilter deletedById;

    public LongFilter getId() {
        return id;
    }

    public void setId(LongFilter id) {
        this.id = id;
    }

    public StringFilter getTbCode() {
        return tbCode;
    }

    public void setTbCode(StringFilter tbCode) {
        this.tbCode = tbCode;
    }

    public StringFilter getCode() {
        return code;
    }

    public void setCode(StringFilter code) {
        this.code = code;
    }

    public IntegerFilter getNumberScan() {
        return numberScan;
    }

    public void setNumberScan(IntegerFilter numberScan) {
        this.numberScan = numberScan;
    }

    public StringFilter getStatus() {
        return status;
    }

    public void setStatus(StringFilter status) {
        this.status = status;
    }

    public InstantFilter getExpiredDate() {
        return expiredDate;
    }

    public void setExpiredDate(InstantFilter expiredDate) {
        this.expiredDate = expiredDate;
    }

    public InstantFilter getModifiedDate() {
        return modifiedDate;
    }

    public void setModifiedDate(InstantFilter modifiedDate) {
        this.modifiedDate = modifiedDate;
    }

    public InstantFilter getDeletedDate() {
        return deletedDate;
    }

    public void setDeletedDate(InstantFilter deletedDate) {
        this.deletedDate = deletedDate;
    }

    public LongFilter getCreatedById() {
        return createdById;
    }

    public void setCreatedById(LongFilter createdById) {
        this.createdById = createdById;
    }

    public LongFilter getModifiedById() {
        return modifiedById;
    }

    public void setModifiedById(LongFilter modifiedById) {
        this.modifiedById = modifiedById;
    }

    public LongFilter getDeletedById() {
        return deletedById;
    }

    public void setDeletedById(LongFilter deletedById) {
        this.deletedById = deletedById;
    }
}
